{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/base_data') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/base_data') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_person_overview', fetch_merged_url_parameters_by_session_key_name('personOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ person.buildDisplayName() }}</span>
        {% if is_granted('edit', person) == true %}
            {{ form_widget(personForm.save, {'label': 'SPEICHERN', 'id': personForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}
        {% if is_granted('delete', person) == true %}
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'person_base_data',
                'listItems': [
                    {
                        'label': 'Kontakt löschen',
                        'url': path('person_management_person_delete', {'personId': person.getId()}),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-3 py-4 mb-4">
            {% if is_granted('edit', person) == true %}
                {{ form_start(personForm, {'attr': {'id': personForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'person_management/form/person/person_form.html.twig' with {'form': personForm,'personType': person.personType} only %}
            {% if is_granted('edit', person) == true %}
                {{ form_row(personForm._token) }}
                {{ form_end(personForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
